Subject: Re: Problem compiling ppp...
To: Mike Long <>
From: Rafal Boni <>
List: current-users
Date: 01/01/1997 07:22:11
In message <>, Mike wrote:

-> >From: "D. Jay Newman" <>
-> >Date: Tue, 31 Dec 1996 15:38:43 -0500 (EST)
-> >I find the following error when I am doing a "make build" from the
-> >/usr/src directory. As far as I know, the include files and libraries are
-> >built properly:
-> >cc -O -I. -I/usr/src/usr.sbin/pppd -DHAVE_PATHS_H -I/usr/src/usr.sbin/pppd/
-> ../..
-> >/lib/libpcap  -Werror  -c grammar.c
-> >grammar.y: In function `yyparse':
-> >grammar.y:131: incompatible type for argument 2 of `gen_ncode'
-> >grammar.y:131: too many arguments to function `gen_ncode'

	I had a similar problem with pppd on my box and am sure I have delete 
	in all the sup-file entries I use.  I finally ended up deleting the 
	files by hand, seeing as they looked like copies of what was in 
	libpcap.... (pppd then seemed to build fine as I am using it now...)

	[Look in libpcap and remove the files that are common to it and pppd
	 from the pppd directory]